メインコンテンツへスキップ
GET
/
v2
/
wallet
/
{chain}
/
{walletAddress}
/
transfers
ウォレット - 送金リスト
curl --request GET \
  --url https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/transfers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "amount": "1.5",
      "blockTimestamp": 1717334400000,
      "fromAddress": "54Pz1e35z9uoFdnxtzjp7xZQoFiofqhdayQWBMN7dsuy",
      "id": "transfer-123",
      "toAddress": "8X35rQUK2u9hfn8rMPwwr6ZSEUhbmfDPEapp589XyoM1",
      "tokenAddress": "So11111111111111111111111111111111111111112",
      "transactionSignature": "4tEHfECrLJm8N7dNCfQSjhLG7LqdMuZhzBhRy7VRhjCt",
      "transferType": "SEND",
      "amountInUsd": "225.00"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}
Get token transfer history for a wallet — both incoming and outgoing. Supports pagination and filtering by token.
Related: GraphQL Transfers | MCP: wallet_get_balance_updates

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

chain
enum<string>
必須

サポートされているネットワークに記載されているチェーン名 Supported blockchain chains

利用可能なオプション:
sol,
eth,
bsc
walletAddress
string
必須

ウォレットのアドレス

クエリパラメータ

cursor
string

ページネーションカーソル

limit
integer<int64>
デフォルト:20

ページあたりの結果数

direction
enum<string>
デフォルト:next

ページネーション方向(next または prev) Pagination direction

利用可能なオプション:
next,
prev
tokenAddress
string

トークンのアドレス

fromTimestamp
integer<int64>

このタイムスタンプ以降の送金をフィルタ(Unix エポック秒)

toTimestamp
integer<int64>

このタイムスタンプ以前の送金をフィルタ(Unix エポック秒)

minTokenAmount
string

最小トークン量フィルタ(以上)

maxTokenAmount
string

最大トークン量フィルタ(以下)

minTokenAmountInUsd
string

最小トークン量の USD フィルタ(以上)

maxTokenAmountInUsd
string

最大トークン量の USD フィルタ(以下)

レスポンス

200 - application/json

成功レスポンス

Generic pagination response

data
object[]
必須

Page data

endCursor
string | null

Cursor for the end of current page

:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

:

false

hasPrev
boolean

Whether there is a previous page

:

false

startCursor
string | null

Cursor for the start of current page

:

"eyJpZCI6InN0YXJ0In0="